import { MidwayConfig } from '@midwayjs/core';

export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1706233305258_2242',
  koa: {
    port: 7001,
  },
  i18n: {
    localeTable: {
      en_us: {
        default: require('../locales/en_us/defaults'),
        error: require('../locales/en_us/errors'),
      },
      zh_cn: {
        default: require('../locales/zh_cn/defaults'),
        error: require('../locales/zh_cn/errors'),
        methods: require('../locales/zh_cn/controller_method'),
      },
    },
  },
} as MidwayConfig;
