import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1'; //120.48.146.1
const redisHost = '127.0.0.1';
const redisPwd = '123456';
const redisDB = 6;
const projectDB = 'vue3js-template-test';
const recordDB = 'vue3js-template-test-record'
const loginSign = 'tsFrameDev';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1697684406848_4978',
  loginSign,
  koa: {
    port: 9700,
    globalPrefix: '/ts/frame/api',
  },
  swagger: {
    swaggerPath: '/doc/api',
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: 3600, // 3600
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${projectDB}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
      record:{
        uri: `mongodb://${ip}:27017/${recordDB}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entityRecord'],
      }
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: redisHost, // Redis host
      password: redisPwd,
      db: redisDB,
    },
  },
  upload: {
    whitelist: null,
  },
  weixinConfig: {
    appid: 'wxe8b4c4d5e87a7d31',
    secret: '60cffc9d8766e8b169db970d2422a647',
  },
} as MidwayConfig;
