import { Controller, Get, Inject } from '@midwayjs/core';
import { FrameworkErrorEnum, ServiceError } from 'free-midway-component';
import { Context } from '@midwayjs/koa';
import { MidwayI18nService } from '@midwayjs/i18n';
@Controller('/')
export class HomeController {
  @Inject()
  ctx: Context;
  @Inject()
  i18n: MidwayI18nService;
  @Get('/', { description: 'ignore' })
  async home(): Promise<string> {
    throw new ServiceError(this.i18n.translate(FrameworkErrorEnum.BAD_ARGS, {  group: 'error' }),FrameworkErrorEnum.BAD_ARGS)
    // return ;
  }
}
