import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'dictType' },
})
export class DictType extends BaseModel {
  @prop({ required: false, index: false, zh: '字典类型名称' })
  title: string;
  @prop({ required: false, index: true, zh: '编码' })
  code: string;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
  @prop({ required: false, index: true, zh: '是否使用' })
  is_use: string;
}
