import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'role' },
})
export class Role extends BaseModel {
  @prop({ required: false, index: false, zh: '角色名称' })
  name: string;
  @prop({ required: false, index: true, zh: '角色编码' })
  code: string;
  @prop({ required: false, index: false, zh: '菜单' })
  menu: Array<any>;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: true, zh: '是否使用', default: '0' })
  is_use: string;
}
